Page MenuHomePhabricator

[OpenMP] Add loop tripcount argument to kernel launch and remove push function
ClosedPublic

Authored by jhuber6 on Jun 29 2022, 6:21 AM.

Details

Summary

Previously we added the push_target_tripcount function to send the
loop tripcount to the device runtime so we knew how to configure the
teams / threads for execute the loop for a teams distribute construct.
This was implemented as a separate function mostly to avoid changing the
interface for backwards compatbility. Now that we've changed it anyway
and the new interface can take an arbitrary number of arguments via the
struct without changing the ABI, we can move this to the new interface.
This will simplify the runtime by removing unnecessary state between
calls.

Depends on D128550

Diff Detail

Event Timeline

jhuber6 created this revision.Jun 29 2022, 6:21 AM
Herald added a project: Restricted Project. · View Herald TranscriptJun 29 2022, 6:21 AM
jhuber6 requested review of this revision.Jun 29 2022, 6:21 AM
Herald added projects: Restricted Project, Restricted Project. · View Herald TranscriptJun 29 2022, 6:21 AM
jdoerfert accepted this revision.Jul 7 2022, 1:40 PM

LG, but rename the function.

clang/lib/CodeGen/CGOpenMPRuntime.h
890

Rename the function. It doesn't emit a call anymore.

This revision is now accepted and ready to land.Jul 7 2022, 1:40 PM
This revision was landed with ongoing or failed builds.Jul 8 2022, 11:45 AM
This revision was automatically updated to reflect the committed changes.